Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 539873 - netgen-mesher - automatic 3d tetrahedral mesh generator
Summary: netgen-mesher - automatic 3d tetrahedral mesh generator
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://sourceforge.net/projects/netge...
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-21 12:43 UTC by nuovodna
Modified: 2010-01-22 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-22 22:19:30 UTC


Attachments (Terms of Use)

Description nuovodna 2009-11-21 12:43:51 UTC
SPEC file:http://pastebin.com/m6909a2de

NETGEN is an automatic 3d tetrahedral mesh generator. It accepts input from constructive solid geometry (CSG) or boundary representation (BRep) from STL file format. 

It requires togl v 1.7 library
URL : http://sourceforge.net/projects/togl/files/
SPEC file : http://pastebin.com/m6a68a615

Comment 1 nuovodna 2009-11-21 12:48:26 UTC
Togl17 fixed spec file : http://pastebin.com/m76b38136

Comment 2 Thomas Spura 2009-11-23 20:55:42 UTC
Just a few comments, because I'm no sponsor anyway:

- You are not yet in the packager group and therefor you need a sponsor for your fist package, see http://fedoraproject.org/wiki/Package_Review_Process#Contributor

- Is this Review Requrest about togl17 or netgen?
  If you want to have both in fedora, you should have added 2 review requests.

- Could you upload the SPEC *and* SRPM to somewhere on the web and not just 
  pastebin?
  The first SPEC isn't available anymore...

- See https://fedoraproject.org/wiki/Packaging/Guidelines for details about how
  packaging should be done.

  e.g. to the togl17 spec: That package owns /* which is not what you want.
  The package must only own the directories it creates and the subfiles/folders.
  Guessing in netgen you did the same.

Comment 3 Jason Tibbitts 2010-01-08 07:22:10 UTC
Still no SRPM, and both spec URLs have been invalid for some time.

Marking as NotReady; I guess I'll close this soon unless something we can actually review appears.

If you do want to submit these packages, please read 
http://fedoraproject.org/wiki/Join_the_package_collection_maintainers, file a proper review ticket for each package, and also request hosting (as indicated in that document) so that you can have a proper place to put the spec and srpm files.  Pastebin just won't do for obvious reasons, and we do also require that you provide an SRPM.

Comment 4 Jason Tibbitts 2010-01-22 22:19:30 UTC
Soon has come and gone with no response, so I'll close this.


Note You need to log in before you can comment on or make changes to this bug.